program zap;

 type stud = record // record - сама запись
  name : string;
  year : record // в record`e record нужно указывать через :, вместо =
      D : 1..31;
      M : string;
      Y : integer;
         end;
 end;
 var a :stud; // указываем, что переменная a = запись stud 
  
  begin
   WriteLn('Имя');
   ReadLn(a.name);
   WriteLn('Число, месяц, год');
   with a.year do begin // with делает операции с записями
   ReadLn(D);
   ReadLn(M);
   ReadLn(Y);
   end;
   Case a.year.M of //после цифр a стоит из - за ошибки, которую хз как исправить
    '1a' : a.year.M:='Январь';
    '2a'  : a.year.M:='февраль';
    '3a' : a.year.M:='март';
    '4a' : a.year.M:='апрель';
    '5a' : a.year.M:='май';
    '6a' : a.year.M:='июнь';
    '7a' : a.year.M:='июль';
    '8a' : a.year.M:='август';
    '9a' : a.year.M:='сентябрь';
    '10' : a.year.M:='октябрь';
    '11' : a.year.M:='ноябрь';
    '12' : a.year.M:='декабрь';
   end;
   WriteLn(a.name);
   WriteLn(a.year.D,' ',a.year.M,' ',a.year.Y);
  end.